#include <stdio.h>

//1234 -> [1, 2, 3, 4]

//upisuju u niz "niz" sve cifre broja x
//i kao povratnu vrednost vraca broj cifara upisanih u niz
int upisi_u_niz(int x, int *niz)
{
	//12345
	//[1 2 3 4 5]
	// -> 5

	//mi pozivamo rekurzivnu funkciju
	//upisi_u_niz(1234)
	//a kao rezulat dobijamo:
	//n = 4
	//[1 2 3 4]
	
	//na mesto n dodajmo u niz zadnju cifru (5)
	//i vracamo n+1
	
	//bazni slucaj
	//x == 0
	//vracmo 0
	
	if(x == 0)
		return 0;
	else
	{
		int n = upisi_u_niz(x / 10, niz);
		niz[n] = x % 10;
		return n + 1;
	}
}

int main()
{
	int niz[100];
	int x;
	int i;
	int n;
	scanf("%d", &x);
	n = upisi_u_niz(x, niz);
	for(i = 0; i < n; i++)
		printf("%d\n", niz[i]);
}

